#include "SCPatchPrivate.h"

//-------------------------------------------------------------------------------------------------------------
char *SCPatchGetStringPointer(SCPatchLoaderParams *params, short patchNumber)
{
	char 	*cp = params->patchData[0].urlData;
	long	ii;
	
	for(ii = 0; ii < patchNumber; ii++)
	{
		cp += strlen(cp) + 1 + ((long)params->patchData[0].urlData - (long)&params->patchData[0].bundleID);
	}
	return cp;
}

//-------------------------------------------------------------------------------------------------------------
HFSUniStr255 *SCPatchGetHFSUniStrPointer(SCPatchLoaderParams *params, short patchNumber)
{
	HFSUniStr255 	*hp = &params->patchData[0].bundleID;
	long	ii;
	
	for(ii = 0; ii < patchNumber; ii++)
	{
		hp = (HFSUniStr255 *)((long)hp + ((long)params->patchData[0].urlData - (long)&params->patchData[0].bundleID));
		hp = (HFSUniStr255 *)((long)hp + strlen((char *)hp) + 1);
	}
	return hp;
}

